%define         PYVER           2.6
%define         __python        python%{PYVER}
%define         PVER            %(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	synchronization framework library
Name:		libopensync
Version:	0.39
Release:	1
License:	GPL
URL: 		http://www.opensync.org/
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
BuildRequires:	python26-devel
BuildRequires:  check-devel
BuildRequires:  swig

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: libgcrypt-devel
BuildRequires: libgpg-error-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: pkg-config
BuildRequires: sqlite-devel
BuildRequires: zlib-devel

%description
OpenSync is a synchronization framework that is platform and distribution independent. It consists of a powerful sync-engine and several plugins that can be used to connect to devices.

OpenSync is very flexible and capable of synchronizing any type of data, including contacts, calendar, tasks, notes and files.


%package devel
Summary:	Files for development using %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel

This package contains the headers and pkg-config file for
development of programs using %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
mkdir build
pushd build
cmake ../. -DCMAKE_INSTALL_PREFIX=%_prefix -DPYTHON_EXECUTABLE=/usr/bin/python2.6
make
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd build
make install DESTDIR=$RPM_BUILD_ROOT
popd
# strip debug symbols from binaries
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'


%files
%defattr(-,root,root)
%{_bindir}/osyncbinary
%{_bindir}/osyncdump
%{_bindir}/osyncplugin
%{_libdir}/libopensync1/osplugin
%{_libdir}/libopensync.so.*
%{_datadir}/libopensync1/
%{python_sitelib}/opensync.py
%{python_sitelib}/_opensync.so


%files devel
%defattr(-,root,root)
%{_includedir}/libopensync1/opensync
%{_libdir}/libopensync.so
%{_pkgconfig}/libopensync.pc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Mar 16 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.39-1
- Version update
* Sun Aug 17 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.36-1
- Initial CCux package release

